using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class pages_Dock_Tickets_AjaxifiedCommand_Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        
        RadDock dock = new RadDock();
        dock.ID = dock.Text = "dock1";
        dock.Command += new DockCommandEventHandler(RadDock_Command);

        
        UpdatePanel panelMain = new UpdatePanel();
        panelMain.ID = "panelMain";
        dock.ContentContainer.Controls.Add(panelMain);


        
        Control ctl = LoadControl("UserControls/UC1.ascx");
        ctl.ID = "userControl";
        panelMain.ContentTemplateContainer.Controls.Add(ctl);
      
        DockCommand command = new DockCommand();
        command.AutoPostBack = true;
        command.Name = "Command1";        
        dock.Commands.Add(command);
        
        RadDockZone1.Controls.Add(dock);
      

        AsyncPostBackTrigger apt = new AsyncPostBackTrigger();
        apt.ControlID = dock.ClientID;
        apt.EventName = "Command";
        panelMain.Triggers.Add(apt);
    }
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadDock_Command(object sender, DockCommandEventArgs e)
    {
        if (e.Command.Name == "Command1")
        {
            RadDock currentDock = ((RadDock)sender);
            UserControl uc = (UserControl)currentDock.ContentContainer.FindControl("userControl");
            Panel panelConfig = (Panel)uc.FindControl("PanelConfig");
            Panel panelView = (Panel)uc.FindControl("panelView");
            if (panelConfig.Visible == true)
            {
                panelConfig.Visible = false;
                panelView.Visible = true;
            }
            else
            {
                panelConfig.Visible = true;
                panelView.Visible = false;
            }
        }        
    }

}
